Subject: bug#70357: 30.0.50; loadup.el, load nadvice before seq

From: Gerd Möllmann <[email-masked]>
Date: Fri, 12 Apr 2024 20:19:40 +0200

I would like to propose loading nadvice before seq in loadup.el, for the
following reason:

If a seq.elc exists, and we dump bootstrap-emacs.pdmp, and seq.el gets
loaded, then the cl-generic machinery will want to warn about the fact
that certain method stuff in seq.elc is already compiled. This warning
wants to use somethign from nadvice, and ultimately a recursive load
(warnings.el requires icons.el, which uses seq, which leads to a
warning, etc).

I'm attaching an example log

(I guess one could get more prodictable behaviour if
bootstrap-emacs.pdmp would load only sources.)

In GNU Emacs 30.0.50 (build 1, x86_64-apple-darwin23.4.0, NS
 appkit-2487.50 Version 14.4.1 (Build 23E224)) of 2024-04-12 built on
 Pro.fritz.box
Repository revision: 21775a936bd3838adaae38bd5c5ec776434736c1
Repository branch: master